Subject: [alpine-aports] [PATCH 1/3] main/py-pip: update to 6.1.1

From: Stuart Cardall <[email-masked]>
Date: Mon, 11 May 2015 11:07:08 +0000

---
 main/py-pip/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/py-pip/APKBUILD b/main/py-pip/APKBUILD
index 72d120c..d4e6c2e 100644
--- a/main/py-pip/APKBUILD
+++ b/main/py-pip/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Fabian Affolter <[email-masked]>
 pkgname=py-pip
 _pkgname=pip
-pkgver=6.0.6
+pkgver=6.1.1
 pkgrel=0
 pkgdesc="A tool for installing and managing Python packages"
 url="http://www.pip-installer.org"
@@ -36,6 +36,6 @@ package() {
 	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
 }
 
-md5sums="bbb17814bdf82187f46aaf9cec6b6caa  pip-6.0.6.tar.gz"
-sha256sums="3a14091299dcdb9bab9e9004ae67ac401f2b1b14a7c98de074ca74fdddf4bfa0  pip-6.0.6.tar.gz"
-sha512sums="7420c91be96ae6f9e93adbc7ed93ae38085a4256b7e54efc04a8e1e95e69df9b95d65530bca5663feaa6370f7482c797156feb726f0e6f1edaccb4b578b6bb71  pip-6.0.6.tar.gz"
+md5sums="6b19e0a934d982a5a4b798e957cb6d45  pip-6.1.1.tar.gz"
+sha256sums="89f3b626d225e08e7f20d85044afa40f612eb3284484169813dc2d0631f2a556  pip-6.1.1.tar.gz"
+sha512sums="e7d2e003ec60fce5a75a6a23711d7f9b155e898faebcf55f3abdd912ef513f4e0cf43daca8f9da7179a7a4efe6e4a625a532d051349818847df1364eb5b326de  pip-6.1.1.tar.gz"
-- 
2.4.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Stuart Cardall <[email-masked]>
Date: Mon, 11 May 2015 11:07:10 +0000

& this will be for running unit tests with maven.
---
 testing/junit/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/junit/APKBUILD

diff --git a/testing/junit/APKBUILD b/testing/junit/APKBUILD
new file mode 100644
index 0000000..444e431
--- /dev/null
+++ b/testing/junit/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=junit
+pkgver=4.12
+pkgrel=0
+pkgdesc="A programmer-oriented testing framework for Java"
+url="http://junit.org/"
+arch="noarch"
+license="Eclipse 1.0"
+depends=""
+source="http://search.maven.org/remotecontent?filepath=$pkgname/$pkgname/$pkgver/$pkgname-$pkgver.jar"
+
+_builddir="$srcdir"
+
+build() {
+	cd "$_builddir"
+	echo "packaging the $pkgname jar file"
+}
+
+package() {
+	cd "$_builddir"
+	install -dm755 ${pkgdir}/usr/share/java || return 1
+	install -m644 "$pkgname-$pkgver.jar" ${pkgdir}/usr/share/java || return 1
+	cd ${pkgdir}/usr/share/java || return 1
+	ln -s "$pkgname-$pkgver.jar" "$pkgname.jar"
+}
+
+md5sums="5b38c40c97fbd0adee29f91e60405584  junit-4.12.jar"
+sha256sums="59721f0805e223d84b90677887d9ff567dc534d7c502ca903c0c2b17f05c116a  junit-4.12.jar"
+sha512sums="5974670c3d178a12da5929ba5dd9b4f5ff461bdc1b92618c2c36d53e88650df7adbf3c1684017bb082b477cb8f40f15dcf7526f06f06183f93118ba9ebeaccce  junit-4.12.jar"
-- 
2.4.0

---

---

From: Francesco Colista <[email-masked]>
Date: Thu, 21 May 2015 13:40:39 +0200

> & this will be for running unit tests with maven.

Hi Stuart.

> +	echo "packaging the $pkgname jar file"

Thanks for this new aport.
Before apply this patch, would you mind to fix build() function in order 
to return 0?
It should be like this:

build() {
	cd "$_builddir"
         return 0
}

Thanks.

-- 
:: Francesco Colista
:: Alpine Linux
:: http://www.alpinelinux.org

---